/v2/third-party-provider/kf-dc/access
This call returns a list of study IDs associated with the authenticated RAS user. These study IDs represent the controlled-access datasets (such as Kids-First controlled studies) you have been authorized to access through dbGaP.
Path
https://cavatica-api.sbgenomics.com/v2/third-party-provider/kf-dc/accessRequest
Example request
GET /v2/third-party-provider/kf-dc/access HTTP/1.1
Host: cavatica-api.sbgenomics.com
X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74 curl -s -H "X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74" \
-X GET "https://cavatica-api.sbgenomics.com/v2/third-party-provider/kf-dc/access"Header Fields
| Name | Description |
|---|---|
X-SBG-Auth-Token | Your CAVATICA authentication token. |
Path parameters
| Name | Description |
|---|---|
| idpslug | Required. Identity provider slug. For Cavatica, use kf-dc. |
Response
See a list of CAVATICA-specific response codes that may be contained in the body of the response.
Query parameters
The response object contains information about your authorized study IDs. The information is structured using the following key-value pairs:
| Name | Data type | Description |
|---|---|---|
| items | array | Array of access ID objects. |
| access_id | string | The dbGaP study accession (e.g., phs001024.v3.p1) for which you have authorized access. |
Example response body
{
"access_ids": [
' phs000956.v4.p1',
' phs001024.v3.p1',
]
} Prerequisites
Before using this endpoint, ensure you have:
-
A RAS account (eRA Commons) registered on Cavatica platform
-
Approved Data Access Requests (DARs) in dbGaP for the studies you wish to access
Related API Calls
-
Import from a DRS server - Import controlled data using your authorized access
